Name: jdepend
Version: 2.8.2
Release: alt1

%def_disable debug

Summary: Java Design Quality Metrics
Group: Development/Java
License: BSD-like
URL: http://www.clarkware.com/software/JDepend.html

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc

Source0: http://www.clarkware.com/software/%name-%version.tar.bz2

BuildArch: noarch

BuildRequires: ant j2se-devel

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for JDepend,
a Java Design Quality Metrics tool.

%package demo
Summary: Demos for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
Demonstrations and samples for JDepend,
a Java Design Quality Metrics tool.

%prep
%setup -q
# remove all binary libs
find . -name '*.jar' -print0 | xargs -r0 rm -f

%build
ant \
%if_disabled debug
    -Dbuild.debug=false \
%endif
    jar javadoc

%install
# jars
install -d -m755 $RPM_BUILD_ROOT%javadir
install -p -m644 lib/%name.jar $RPM_BUILD_ROOT%javadir/%name.jar
# javadoc
install -d -m755 $RPM_BUILD_ROOT%javadocdir/%name
cp -a docs/api/* $RPM_BUILD_ROOT%javadocdir/%name
# demo
install -d -m755 $RPM_BUILD_ROOT%_datadir/%name
cp -a sample $RPM_BUILD_ROOT%_datadir/%name

%files
%doc README LICENSE
%doc docs/*.html
%doc docs/*.css
%doc docs/*.out
%doc docs/images
%javadir/*

%files javadoc
%javadocdir/%name

%files demo
%_datadir/%name

%changelog
* Mon Sep 20 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.2-alt1
- Updated to upstream release 2.8.2
- Disabled debug compiler option by default

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.7-alt1
- New upstream release

* Fri Oct 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.6-alt1
- Ported to Sisyphus from JPackage
